# Class InjectorFactory

java.lang.Object
org.eclipse.e4.core.di.InjectorFactory

public final class InjectorFactory extends Object
Use this class to obtain an instance of the dependency injector.

Since:
  1.7
Restriction:
  This class is not intended to be instantiated by clients.

## Method Summary

Modifier and Type
Method
Description
`static IInjector`
`getDefault()`
Returns default instance of the dependency injector.
`static IInjector`
`makeInjector()`
Returns a new instance of the dependency injector.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDefault

public static IInjector getDefault()
Returns default instance of the dependency injector.

Returns:
  default dependency injector

### makeInjector

public static IInjector makeInjector()
Returns a new instance of the dependency injector.

Returns:
  a new instance of the dependency injector